<div class="container" [hidden]="submitted" style="width: 400px">
  <form (ngSubmit)="onSubmit()">
    <h3>Create Employee</h3>
    <div class="form-group">
      <label for="name">First Name</label>
      <input
        type="text"
        class="form-control"
        id="firstName"
        required
        [(ngModel)]="employee.firstName"
        name="firstName"
      />
    </div>

    <div class="form-group">
      <label for="name">Last Name</label>
      <input
        type="text"
        class="form-control"
        id="lastName"
        required
        [(ngModel)]="employee.lastName"
        name="lastName"
      />
    </div>

    <div class="form-group">
      <label for="name">Email Id</label>
      <input
        type="email"
        class="form-control"
        id="emailId"
        required
        [(ngModel)]="employee.emailId"
        name="emailId"
      />
    </div>
    <div class="form-group">
      <label for="name">Password</label>
      <input
        type="password"
        class="form-control"
        id="password"
        required
        [(ngModel)]="employee.password"
        name="password"
      />
    </div>
    <div class="form-group">
      <label for="name">Role</label>
      <select
        class="form-select form-control"
        id="category"
        required
        name="category"
        [(ngModel)]="employee.role.id"
      >
        <option selected value="0">Select</option>
        <option *ngFor="let c of roles" [value]="c.id">
          {{ c.role }}
        </option>
      </select>
    </div>

    <button type="submit" class="btn btn-success">Submit</button>
  </form>
</div>

<!-- add to submit button when uncomenting
and add an error object to the modal response -->
<!-- data-toggle="modal"
      data-target="#exampleModal" -->

<!-- <div
  class="modal fade"
  id="exampleModal"
  tabindex="-1"
  role="dialog"
  aria-labelledby="exampleModalLabel"
  aria-hidden="true"
>
  <div [hidden]="!submitted" class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Employee Details</h5>
        <button
          type="button"
          class="close"
          data-dismiss="modal"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div *ngIf="employee" class="col-xl-6 mx-auto custom-label">
          <p>Dettails if the employee was added</p>
        </div>
      </div>
      <div class="modal-footer">
        <button
          (click)="gotoList()"
          type="button"
          class="btn btn-secondary"
          data-dismiss="modal"
        >
          Close
        </button>
      </div>
    </div>
  </div>
</div> -->
